<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	BOLA: Blur OffLine Avatar
 *
 */ 

// If we have found SSI.php and we are outside of ELK, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');

// If we are outside ELK and can't find SSI.php, then throw an error
elseif (!defined('ELK'))
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as Elkarte\'s SSI.php.');

// Do we need to extend?
if (ELK == 'SSI')
	db_extend('packages');

// Define the hooks
$hook_functions = array(
	'integrate_prepare_display_context' => 'Bola_Main|SOURCEDIR/addons/BOLA/BOLA.subs.php',
	'integrate_action_display_after' => 'BOLA_Styles|SOURCEDIR/addons/BOLA/BOLA.subs.php',
	'integrate_general_mod_settings' => 'BOLA_Settings|SOURCEDIR/addons/BOLA/BOLA.subs.php',
);

// Adding or removing them?
if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

// Do the deed
foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

if (ELK == 'SSI')
   echo 'Congratulations! You have successfully installed this mod!';

?>