<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	BOLA: Blur OffLine Avatar
 *
 */ 

if (!defined('ELK')) 
	die('Hacking attempt...');

function Bola_Main(&$output, &$message)
{
	global $modSettings;

	if (!empty($modSettings['bola_enable']) && !$output['member']['online']['is_online'])
	// Add blur_avatars class to offline avatar in display page
		addInlineJavascript('
			$( "#info_'. $message['id_msg'] . '" ).parent().parent().parent().find(".avatar").addClass("blur_avatars");', true);
	// Add blur_avatars class to offline avatar in display page in all view
	if (!empty($modSettings['bola_enable']) && !empty($modSettings['bola_all_view']) && !$output['member']['online']['is_online'])
		addInlineJavascript('
			$( "#info_'. $message['id_msg'] . '" ).parent().parent().parent().find(".avatar").addClass("blur_avatars_all");', true);
}

function BOLA_Styles()
{
	global $modSettings, $context;

	// Add Styling(s)
	if (!empty($modSettings['bola_enable']) && !$context['user']['is_guest'])
		loadCSSFile('BOLA/BOLA.styles.css');
	// Show this to guest as well? Seriously???
	if (!empty($modSettings['bola_enable']) && !empty($modSettings['bola_guest_view']))
		loadCSSFile('BOLA/BOLA.styles.css');
}

function BOLA_Settings(&$config_vars)
{
	// Load Language(s)
	loadLanguage('BOLA/BOLA');

	// Add Setting(s)
	$bola = array(
		array('check', 'bola_enable', 'onchange' => 'showBolaOptions()'),
		array('check', 'bola_all_view'),
		array('check', 'bola_guest_view'),
		'',
	);
	
	// Show hide code tied to checkbox
	addInlineJavascript('
		function showBolaOptions() {
			var enabled = document.getElementById("bola_enable").checked;
			if (enabled) {
				$("#bola_all_view").parent().show();
				$("#bola_guest_view").parent().show();
				$("#setting_bola_all_view").parent().show();
				$("#setting_bola_guest_view").parent().show();
			}	
			else {
				$("#bola_all_view").parent().hide();
				$("#bola_guest_view").parent().hide();
				$("#setting_bola_all_view").parent().hide();
				$("#setting_bola_guest_view").parent().hide();
			}
		}
		function hideBolaOptions() {showBolaOptions();}
		hideBolaOptions();', true
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $bola);
}
?>